edu.whs.spin2018.baoapp.service

## Interface BaseInteractorInterface

- All Superinterfaces:
    BaoServiceInterface
  All Known Subinterfaces:
    LobbyRemoteDataSource, MehrspielerRemoteDataSource, SpielbrettRemoteDataSource, SpieleinstellungenRemoteDataSource
  All Known Implementing Classes:
    LobbyServiceInteractor, MehrspielerServiceInteractor, ServiceInteractor, SpielbrettServiceInteractor, SpieleinstellungenServiceInteractor

      public interface BaseInteractorInterface
      extends BaoServiceInterface

  Defniert die Grundlegenden Methoden fuer einen ServiceInteractor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneRegistrierteListener()` Entfernt die zusätzlichen registrierten Listener vom Socket.
    `void` | `onNeueNachricht(java.lang.Object... args)` Wird beim erhalten eines Nachricht-Events aufgerufen.
    `void` | `registriereBenoetigteListener()` Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaoServiceInterface

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

- - ### Method Detail

    - #### registriereBenoetigteListener

          void registriereBenoetigteListener()

      Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket

    - #### entferneRegistrierteListener

          void entferneRegistrierteListener()

      Entfernt die zusätzlichen registrierten Listener vom Socket.

    - #### onNeueNachricht

          void onNeueNachricht(java.lang.Object... args)

      Wird beim erhalten eines Nachricht-Events aufgerufen.
      Parameters:
        `args` - - Daten, die mit dem Event gesendet wurden